Reinstall an OS for an SBM server

POST/v1/hosts/sbm_servers/{server_id}/reinstall

You can reinstall an operating system of a server using a POST request to the /v1/hosts/sbm_servers/{server_id}/reinstall endpoint. Specify an ID of the server in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the sbm_server type.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/hosts/sbm_servers/pmbkjJaz/reinstall" \  -H "Content-Type: application/json" \  -d '{    "hostname": "example.aa",    "operating_system_id": 286,    "user_data": "#cloud-config\\ngroups:\\n  - ubuntu: [root,sys]"  }'
{  "id": "pmbkjJaz",  "rack_id": "4QbYJKdz",  "title": "example.aa",  "location_id": 1688,  "location_code": "location3479",  "status": "active",  "operational_status": "installation",  "power_status": "powered_on",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.189",  "public_ipv4_address": "169.254.0.189",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "sbm_server",  "oob_ipv4_address": null,  "configuration_details": {    "ram_size": 0,    "sbm_flavor_model_id": 2934,    "sbm_flavor_model_name": "flavor-model-1665",    "bandwidth_id": null,    "bandwidth_name": null,    "private_uplink_id": null,    "private_uplink_name": null,    "public_uplink_id": null,    "public_uplink_name": null,    "operating_system_id": null,    "operating_system_full_name": null  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "created_at": "2026-05-28T07:05:54Z",  "updated_at": "2026-05-28T07:05:54Z"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "operating_system_id": "is missing"  }}